Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_PropertyBase_T< TYPE > Class Template Reference

`#include <Property_T.h>`

Inheritance diagram for TAO_Notify_PropertyBase_T< TYPE >:

[legend]
Collaboration diagram for TAO_Notify_PropertyBase_T< TYPE >:

[legend]
List of all members.

## Public Methods
| TAO_Notify_PropertyBase_T (const char *name, const TYPE &initial)
| Constuctor.
| TAO_Notify_PropertyBase_T (const char *name)
| Constuctor.
| TAO_Notify_PropertyBase_T (const TAO_Notify_PropertyBase_T &rhs)
| Copy Constuctor.
| ~TAO_Notify_PropertyBase_T ()
| Destructor.
int | operator== (const TYPE &rhs) const
| Equality comparison operator.
int | operator!= (const TYPE &rhs) const
| Inequality comparison operator.
void | get (CosNotification::PropertySeq &prop_seq)
| Populate the Property Sequence with this valid value.
const TYPE & | value (void) const
| Return the value.
CORBA::Boolean | is_valid (void) const
| Is the current value valid.
void | invalidate (void)
| Invalidate this property's value.
## Protected Attributes
const char * | name_
| The Property name.
TYPE | value_
| The value.
CORBA::Boolean | valid_
| Is the value valid.

### template<class TYPE>
class TAO_Notify_PropertyBase_T< TYPE >

## Constructor & Destructor Documentation

template<class TYPE>
TAO_Notify_PropertyBase_T< TYPE >::TAO_Notify_PropertyBase_T | ( | const char * | name,
|  | const TYPE & | initial
| ) |

| Constuctor.

template<class TYPE>
TAO_Notify_PropertyBase_T< TYPE >::TAO_Notify_PropertyBase_T | ( | const char * | name | ) |

| Constuctor.

template<class TYPE>
TAO_Notify_PropertyBase_T< TYPE >::TAO_Notify_PropertyBase_T | ( | const TAO_Notify_PropertyBase_T< TYPE > & | rhs | ) |

| Copy Constuctor.

template<class TYPE>
TAO_Notify_PropertyBase_T< TYPE >::~TAO_Notify_PropertyBase_T | ( |  | ) |

| Destructor.

## Member Function Documentation

template<class TYPE>
void TAO_Notify_PropertyBase_T< TYPE >::get | ( | CosNotification::PropertySeq & | prop_seq | ) |

| Populate the Property Sequence with this valid value.

template<class TYPE>
void TAO_Notify_PropertyBase_T< TYPE >::invalidate | ( | void |  | ) |

| Invalidate this property's value.

template<class TYPE>
CORBA::Boolean TAO_Notify_PropertyBase_T< TYPE >::is_valid | ( | void |  | ) | const

| Is the current value valid.

template<class TYPE>
int TAO_Notify_PropertyBase_T< TYPE >::operator!= | ( | const TYPE & | rhs | ) | const

| Inequality comparison operator.

template<class TYPE>
int TAO_Notify_PropertyBase_T< TYPE >::operator== | ( | const TYPE & | rhs | ) | const

| Equality comparison operator.

template<class TYPE>
const TYPE& TAO_Notify_PropertyBase_T< TYPE >::value | ( | void |  | ) | const

| Return the value.

## Member Data Documentation

template<class TYPE>
const char* TAO_Notify_PropertyBase_T< TYPE >::name_`[protected]`

| The Property name.

template<class TYPE>
CORBA::Boolean TAO_Notify_PropertyBase_T< TYPE >::valid_`[protected]`

| Is the value valid.

template<class TYPE>
TYPE TAO_Notify_PropertyBase_T< TYPE >::value_`[protected]`

| The value.

The documentation for this class was generated from the following files:

- Property_T.h
- Property_T.cpp